#include "bits/stdc++.h"

using namespace std;

// #define int long long

vector<int> solve(vector<int> a) {
    int n = (int) a.size();
    vector<int> ans;
    for (int i = 1; i < n; i += 2)
        ans.push_back(i);
    for (int i = 0; i < n; i += 2)
        ans.push_back(i);

    return ans;
}

// int32_t main() {

//     ios::sync_with_stdio(false);
//     cin.tie(nullptr); cout.tie(nullptr);

//     int T = 1;
//     // cin >> T;
//     while (T--) {
        
//     }

//     return 0;
// }